aboutsummaryrefslogtreecommitdiffstats
path: root/main
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2011-10-07 14:22:11 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2011-10-09 10:33:28 +0000
commitdaa557246aa881f9c1362c5fe1bcb9ad1a99510e (patch)
tree09fc15650f623f02250afe4d7596366aa0ebb1b0 /main
parent02d45e88435f496227ab543ceae2d63b80becba5 (diff)
downloadaports-daa557246aa881f9c1362c5fe1bcb9ad1a99510e.tar.gz
aports-daa557246aa881f9c1362c5fe1bcb9ad1a99510e.tar.bz2
aports-daa557246aa881f9c1362c5fe1bcb9ad1a99510e.tar.xz
main/apache-mod-fcgid: moved from testing
Diffstat (limited to 'main')
-rw-r--r--main/apache-mod-fcgid/APKBUILD34
-rw-r--r--main/apache-mod-fcgid/mod_fcgid.conf9
2 files changed, 43 insertions, 0 deletions
diff --git a/main/apache-mod-fcgid/APKBUILD b/main/apache-mod-fcgid/APKBUILD
new file mode 100644
index 0000000000..7f9c1d7c6e
--- /dev/null
+++ b/main/apache-mod-fcgid/APKBUILD
@@ -0,0 +1,34 @@
+# Contributor: Kiyoshi Aman <kiyoshi.aman@gmail.com>
+# Maintainer:
+pkgname=apache-mod-fcgid
+pkgver=2.3.6
+pkgrel=0
+pkgdesc="FastCGI module for Apache 2.2"
+url="http://httpd.apache.org/mod_fcgid/"
+arch="all"
+license="Apache"
+depends=
+makedepends="apache2-dev"
+install=""
+subpackages="$pkgname-doc"
+source="http://apache.cyberuse.com//httpd/mod_fcgid/mod_fcgid-$pkgver.tar.bz2
+ mod_fcgid.conf
+ "
+
+_builddir="$srcdir/mod_fcgid-$pkgver"
+
+build() {
+ cd "$_builddir"
+ ./configure.apxs || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ mkdir "$pkgdir"/etc/apache2/conf.d/ || return 1
+ install -m644 "$srcdir"/mod_fcgid.conf "$pkgdir"/etc/apache2/conf.d/ || return 1
+}
+
+md5sums="30ee138f3f0eb1c55303400748f128a2 mod_fcgid-2.3.6.tar.bz2
+df658a483cf016112d75bbd1d92d7fb0 mod_fcgid.conf"
diff --git a/main/apache-mod-fcgid/mod_fcgid.conf b/main/apache-mod-fcgid/mod_fcgid.conf
new file mode 100644
index 0000000000..01529b0683
--- /dev/null
+++ b/main/apache-mod-fcgid/mod_fcgid.conf
@@ -0,0 +1,9 @@
+<IfModule mod_fcgid.c>
+ Alias /fcgi-bin/ "/usr/lib/fcgi-bin/"
+ <Location /fcgi-bin>
+ SetHandler fcgid-script
+ Options +ExecCGI
+ Order allow,deny
+ Allow from all
+ </Location>
+</IfModule>